Package com.microsoft.sqlserver.jdbc

## Enum PerformanceActivity

- java.lang.Object
- - java.lang.Enum<PerformanceActivity>
  - - com.microsoft.sqlserver.jdbc.PerformanceActivity

All Implemented Interfaces:
  `Serializable`, `Comparable<PerformanceActivity>`

    public enum PerformanceActivity
    extends Enum<PerformanceActivity>

Enum representing different performance activities.

### Enum Constant Summary

Enum Constants
`CONNECTION`
`LOGIN`
`PRELOGIN`
`TOKEN_ACQUISITION`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `activity()`
`String` `toString()`
`static PerformanceActivity` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static PerformanceActivity[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONNECTION

    public static final PerformanceActivity CONNECTION

#### TOKEN_ACQUISITION

    public static final PerformanceActivity TOKEN_ACQUISITION

#### LOGIN

    public static final PerformanceActivity LOGIN

#### PRELOGIN

    public static final PerformanceActivity PRELOGIN

### Method Detail

#### values

    public static PerformanceActivity[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PerformanceActivity c : PerformanceActivity.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PerformanceActivity valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### activity

    public String activity()

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<PerformanceActivity>`